public class AnalyzeNumbers {
  public static void main(String[] args) {
    java.util.Scanner input = new java.util.Scanner(System.in);
    System.out.print("Podaj liczbę elementów: ");
    int n = input.nextInt();
    double[] numbers = new double[n]; // Tworzenie tablicy
    double sum = 0;

    System.out.print("Wpisz liczby: ");
    for (int i = 0; i < n; i++) {
      numbers[i] = input.nextDouble();
      sum += numbers[i];
    }

    double average = sum / n;

    int count = 0; // Liczba elementów powyżej średniej
    for (int i = 0; i < n; i++)
      if (numbers[i] > average) // Dodawanie, jeśli number[i] > average
        count++;

    System.out.println("Średnia wynosi: " + average);
    System.out.println("Liczba elementów większych od średniej to "
      + count);
  }
}
